Subject: [netatalk-admins] afpd won't compile :-(

From: [email-masked]
Date: Wed, 26 Aug 1998 10:06:57 +0200 (SAT)

hi

this is what i get when i try compile afpd 14b2 on redhat 5.1 (intel):

make[4]: Entering directory `/root/netatalk-1.4b2/etc/afpd' gcc -O2
-fsigned-char -I../../include -DAPPLCNAME -DCRLF \
    -D_PATH_AFPDDEFVOL=\"/usr/local/atalk/etc/AppleVolumes.default\" \
    -D_PATH_AFPDSYSVOL=\"/usr/local/atalk/etc/AppleVolumes.system\" \
    -DVERSION=\"`cat ../../VERSION`\" \
     -c main.c main.c: In function `main':  main.c:255: `TIOCNOTTY'
undeclared (first use this function) main.c:255: (Each undeclared
identifier is reported only once main.c:255: for each function it appears
in.) 
make[4]: *** [main.o] Error 1   

please can someone tell me how to fix this? i'm trying to make a yp/nfs
server which acts as an appletalk front end for our SGIs, on which
netatalk won't compile at all.

thanks in advance